name: Test action

on:
  workflow_dispatch:
  push:
    branches:
      - main

jobs:
  hello:
    name: Print hello world
    runs-on: default
    steps:
      - name: Install nodejs
        run: nix-env -iA nixpkgs.nodejs

      - uses: actions/checkout@v4

      - run: whoami
      - run: node -v
      - run: nix --version

      - run: ls -al

      - run: nix --extra-experimental-features "nix-command flakes pipe-operators" flake check